Bug 47990 - HSMF - Some .msg attachments are not found
HSMF - Some .msg attachments are not found
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSMF
3.6-dev
PC Windows XP
: P2 blocker (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-10-13 04:41 UTC by yoda
Modified: 2010-08-04 13:10 UTC (History)
0 users



Attachments
Sample email with msg attachments causing problems with hsmf (70.00 KB, application/octet-stream)
2010-06-17 20:33 UTC, nicbooth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yoda 2009-10-13 04:41:17 UTC
I tried to read msg files using the scratchpad implementation of HSMF. Most times the method getAttachmentFiles() of the MapiMessage class works, but on some mails containing attachments the method returns no attachments. This may be an issue concerning different Outlook versions creating different msg files, so that the attachments are stored in another region in the msg file. Outlook opens the msg correctly and can save the attachments properly to the file system.
Comment 1 Nick Burch 2009-10-13 04:46:20 UTC
If you can upload one of the problem files, that'll be a big help.

Can't promise when someone would be able to investigate what's up with them, but I can say that without the problem files, there's very little we can do!
Comment 2 yoda 2009-12-11 04:03:39 UTC
Sorry, the only msg file I have is confidential and I cannot create one myself. I hope you can find out more information on how the msg files are structured and can fix the bug without my testfile.
Comment 3 Nick Burch 2010-06-03 07:24:20 UTC
Various HSMF fixes have gone in this year. All unit tests relating to HSMF attachments currently pass, so assuming this is fixed. If the problem still remains, please upload a problem file for us to work on.
Comment 4 nicbooth 2010-06-17 20:33:58 UTC
Created attachment 25610 [details]
Sample email with msg attachments causing problems with hsmf
Comment 5 nicbooth 2010-06-17 20:36:04 UTC
I am still having this problem with Scratchpad 3.7beta2-20100615

I have attached a same email I was able to create using MS Office 2007. I have attached one pdf file and one msg file (also from Office 2007). The pdf file is processed successfully but not the msg file.

From what I can tell all the fields in the AttachmentChunks array for the .msg attachment are null after calling getAttachmentFiles().
Comment 6 Nick Burch 2010-08-04 13:10:33 UTC
Nested outlook msg files are stored differently to all other kinds of attachments

I've added support in r982331 for them - you can call:
MAPIMessage nested = attachment.attachmentDirectory.getAsEmbededMessage();
then access the nested message as with any other .msg file